> For the complete documentation index, see [llms.txt](https://docs.evitalrx.in/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.evitalrx.in/api-for-patient-app/orders/mark-as-reject.md).

# Mark as Reject

## Push the Order in Rejected state

<mark style="color:green;">`POST`</mark> [`{{apiUrl}}patient/orders/mark_as_reject`](https://api.evitalrx.in/v1/patient/orders/mark_as_reject)

The orders in the "assigned", "accepted" and "shipped" states, can be canceled with this API.

#### Request Body

| Name                                         | Type   | Description                                        |                                                                                |
| -------------------------------------------- | ------ | -------------------------------------------------- | ------------------------------------------------------------------------------ |
| apikey<mark style="color:red;">\*</mark>     | String | Authentication token                               |                                                                                |
| order\_id<mark style="color:red;">\*</mark>  | String | Order ID from the response of Place Order API.     |                                                                                |
| reason\_source                               | String | <p>"pickup"                                        | "delivery"</p><p>Default: "pickup"</p><p>pass order is pickup or delivery.</p> |
| reason\_id<mark style="color:red;">\*</mark> | Number | ID of the reasons got from Get Reject Reasons API. |                                                                                |

{% tabs %}
{% tab title="200: OK Success" %}

```json
{
    "status_code": "1",
    "status_message": "Your order cancelled successfully.",
    "datetime": "2023-03-21 16:05:47",
    "ng_version": "0.0.378",
    "data": null
}
```

{% endtab %}

{% tab title="200: OK Validation Error" %}

```json
{
    "status_code": "0",
    "status_message": "order_id is required",
    "datetime": "2023-03-09 17:03:38",
    "data": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.evitalrx.in/api-for-patient-app/orders/mark-as-reject.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
